Bug 1333097 - Accessing the 'private_networks' association of a MiqAeServiceManageIQ_Providers_Openstack_CloudManager_CloudNetwork_Private object raises NoMethodError
Summary: Accessing the 'private_networks' association of a MiqAeServiceManageIQ_Provid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.5
Assignee: Lucy Fu
QA Contact: Milan Falešník
URL:
Whiteboard: automate
Depends On: 1332043
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-04 16:03 UTC by John Prause
Modified: 2016-07-26 15:33 UTC (History)
8 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1332043
Environment:
Last Closed: 2016-07-26 15:33:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 1 CFME Bot 2016-05-24 15:30:26 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8cbf9127c6e59b5470d3f38134675f9373d485ef

commit 8cbf9127c6e59b5470d3f38134675f9373d485ef
Merge: caee9ee 30020ff
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 24 11:16:51 2016 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue May 24 11:16:51 2016 -0400

    Merge branch '5.5.z-expose_private_networks_1332043' into '5.5.z'
    
    Expose private network and public network to automate service model.
    
    Original is [here](https://github.com/ManageIQ/manageiq/pull/8423).
    Manual cherry-pick.
    
    With 5.6, private/public network is under network manager.
    
    With 5.5, they are under both infra manager and cloud manager.
    
    Backport the changes into both infra and cloud manager for 5.5.z.
    
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1333097
    
    See merge request !928

 .../service_models/miq_ae_service_cloud_network.rb                | 2 --
 ...eiq-providers-openstack-cloud_manager-cloud_network-private.rb | 1 +
 ...geiq-providers-openstack-cloud_manager-cloud_network-public.rb | 1 +
 ...eiq-providers-openstack-infra_manager-cloud_network-private.rb | 1 +
 ...geiq-providers-openstack-infra_manager-cloud_network-public.rb | 1 +
 .../service_methods/miq_ae_service_cloud_network_spec.rb          | 8 --------
 6 files changed, 4 insertions(+), 10 deletions(-)

Comment 3 Milan Falešník 2016-07-14 10:08:52 UTC
Verified in 5.5.5.2 by calling .private_networks on a public network object and vice versa.

Comment 5 errata-xmlrpc 2016-07-26 15:33:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.